package com.pj.tb_fee_item_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_fee_item_record -- 收费记录
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbFeeItemRecordService extends ServiceImpl<TbFeeItemRecordMapper, TbFeeItemRecord> implements IService<TbFeeItemRecord>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbFeeItemRecordMapper tbFeeItemRecordMapper;

	/** 增 */
	void add(TbFeeItemRecord t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbFeeItemRecord t){
		updateById(t);

	}

	/** 查 */
	TbFeeItemRecord getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbFeeItemRecord> getList(SoMap so) { 
		return tbFeeItemRecordMapper.getList(so);	
	}
	

}
